Package org.kapott.hbci.sepa.jaxb.pain_001_002_02

## Class FinancialInstitutionIdentificationSCT

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_002_02.FinancialInstitutionIdentificationSCT

    public class FinancialInstitutionIdentificationSCT
    extends java.lang.Object

Java class for FinancialInstitutionIdentificationSCT complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FinancialInstitutionIdentificationSCT">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BIC" type="{urn:swift:xsd:$pain.001.002.02}BICIdentifier"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `bic`

### Constructor Summary

Constructors
`FinancialInstitutionIdentificationSCT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getBIC()` Gets the value of the bic property.
`void` `setBIC​(java.lang.String value)` Sets the value of the bic property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bic

    protected java.lang.String bic

### Constructor Detail

#### FinancialInstitutionIdentificationSCT

    public FinancialInstitutionIdentificationSCT()

### Method Detail

#### getBIC

    public java.lang.String getBIC()

Gets the value of the bic property.

Returns:
  possible object is `String`

#### setBIC

    public void setBIC​(java.lang.String value)

Sets the value of the bic property.

Parameters:
  `value` - allowed object is `String`